
  <div class="row">
    <div class="col-12">

<div class="row d-flex justify-content-between" *ngIf="rolUsuario ==='Paciente'">
  <h2 class="font-medium my-3 col-6">Galería</h2>
</div>



<div class="row d-flex justify-content-between" *ngIf="rolUsuario ==='Cuidador'">
  <h3 class="font-medium my-3 col-6">Álbumes pertenecientes a: </h3>
    <div class="my-3 col-6 d-flex justify-content-end">
    <select  [(ngModel)]="usuarioAlbumes" (change)="cambiarlista()" 
    class="form-select form-select-sm"
    aria-label=".form-select-sm example"  >
     <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
            {{ paciente.nombre }} {{ paciente.apellido }}
          </option>
      </select>
      </div>
  </div>


  




  
      <div class="row">

        <P><a href="/galeria/crear/{{idUsuario}}" class="btn btn-primary mt-3">Crear álbum</a></P>


        <span *ngIf="cantidaddeAlbum==0 && banderaBusco=='SI' ">
            
          <div class="card" >
              <div class="card-body">
              
      
                  <div class="alert alert-warning" role="alert">
                     <p><i class="bi bi-exclamation-triangle-fill"></i>
                      No cuenta con álbumes creados.    
                    </p>
                           </div> 
      
         
                </div>
            </div>
            
       </span>
       
        
        <div class="col-sm-12 col-lg-4" *ngFor="let album of galeria">
          <div class="card " >
              <a href="galeria/album/{{album.id}}">
             <div   id='{{album.id}}'   >
           </div>
          </a>
          


            <div class="card-body">
              <div class="d-flex justify-content-center">
                <a href="galeria/album/{{album.id}}">
                <h4 class="card-title">{{album.nombre}}</h4>
              </a>
            </div>
          <br><br>
          <div class="d-flex justify-content-around"><a href="galeria/album/{{album.id}}" class="btn btn-primary btn-sm"><i class="bi bi-eye-fill"></i> Ver</a>
          <button class="btn btn-danger btn-sm" (click)="eliminar(album.id,'false')" ><i class="bi bi-trash-fill"></i> Eliminar</button>
          <a class="btn btn-outline-primary  btn-sm" href="galeria/album/editar/{{album.id}}" ><i class="bi bi-vector-pen"></i> Editar</a>
          </div>

        </div>
          </div>
        </div>
      </div>

 
</div></div>